Page MenuHomePhabricator

Present a page view metric description to the user that they are likely to understand
Closed, ResolvedPublic3 Story Points

Description

From @ezachte :

links to https://meta.wikimedia.org/wiki/Research:Page_view
That page is almost useless for a wider audience. I expect bounce rate 99%. Maybe take a few lines from that page and put it in a Wikistats 2 specific dictionary. With 'advanced' link for the hard-core readers?

UPDATE: the discussion below agrees it's a bad idea to add more pages. We will instead focus on improving Research:Page_view by summarizing its contents in an easy-to-read first paragraph. We can then parse and read this section dynamically or simply link the reader to it.

Bad Idea: Alternatively, we can create an additional page in Wikitech that describes page views in a more informal easy-to-grasp way.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2017, 3:26 PM
mforns moved this task from Backlog (Later) to Mentoring on the Analytics board.Mar 8 2018, 6:06 PM
mforns added a subscriber: mforns.Mar 22 2018, 6:09 PM

Looking at this task, all of its issues are already solved by other tasks, except for:

https://meta.wikimedia.org/wiki/Research:Page_view
That page is almost useless for a wider audience. I expect bounce rate 99%. Maybe take a few lines from that page and put it in a Wikistats 2 specific dictionary. With 'advanced' link for the hard-core readers?

and

"Breakdown On"
just one example of overkill in mixed case, there are several of these, notable exception 'View More Metrics' ;-) I'd only do mixed case for every word in (sub)titles

I'll separate both into different tasks, because one of them, the mixed case one, makes a good microtask for GSoC candidates to work on before the coding period begins.
Also, I'll remove the other issues that are now solved.

This is the task I created T190435.
Will rename and modify the description of this one.

mforns renamed this task from Beta Release: Remaining UI advice from Erik to Present a page view metric description to the user that they are likely to understand.Mar 22 2018, 6:39 PM
mforns updated the task description. (Show Details)
mforns added a subscriber: ezachte.

@mforns would displaying the description on the tooltip be enough? Currently, the tooltip that goes like, "Click this to get to that" is redundant as it is the basic functionality of an anchor tag. To click here to go somewhere. Instead, the tooltip could house a small para regarding what it does in layman's term so it truly is a "tool" "tip".

What's your view on this?

mforns added a subscriber: fdans.Mar 23 2018, 6:12 PM

@Amitjoki
I agree that the tooltip is a bit redundant there.
I think what the average Wikistats2 user will expect is a 2/3 paragraph explanation that further links to the current more "academic" page.
Do you think it would fit in a simple html tooltip? Maybe...
I remember in Analytics we talked about using another Wikitech page, but the tooltip could work as well.
@Milimetric, @fdans What do you think?

@mforns, if that's the case, we could go one step ahead and do this: Make the first para visible in the tooltip and truncate the rest with ellipsis and provide a (read more) link within the tooltip, that would point to the help pages with the specific hash like, 'more_info#page_views'. I think, it will be a best of both worlds.

Would love to know what the others think :)

Frankly, we have, over the last decade or so, been quite bad at maintaining and updating analytics documentation such as this, with definitions written down in many different places and then left to rot while shiny new documentation is posted in new shiny places, only to collect dust and rust itself later while the cycle repeats. (As a longtime user of this data, I have spent more time than I would have liked to help fix such problems, e.g. by researching what the actual currently used definition is, editing out-of date wiki pages, adding links etc.)

Given that, I would strongly advise against creating yet another new page in yet another location. I suggest to instead focus energies on improving the existing central page at https://meta.wikimedia.org/wiki/Research:Page_view , first by summarizing the most relevant aspects in a well-written, accessible lead section like we do on Wikipedia ;)
I would also wager that many people who click on the definition link are in fact interested in specific details, such as how bots are detected or which domains are included in the Total Page Views chart.

@Tbayer

Given that, I would strongly advise against creating yet another new page in yet another location. I suggest to instead focus energies on improving the existing central page at https://meta.wikimedia.org/wiki/Research:Page_view , first by summarizing the most relevant aspects in a well-written, accessible lead section like we do on Wikipedia ;)

Makes total sense to me!

Wikipedia has a newly (not sure) implemented feature of a Page Preview Overlay when ever you hover on a hyperlink. It extracts 1/2 para information from the linked wikipedia page and displays it to the user upfront so that they can make a decision of going further to read the full info or not. This can maybe a good implementation for this task. Here is a screenshot for reference.

Nuria added a subscriber: Nuria.Apr 21 2018, 8:32 PM

@sahil505 That is a bit ambitious, I think we can use 1) tooltips with concise information and 2) improve pages like https://meta.wikimedia.org/wiki/Research:Page_view so they appeal to a larger audience. For this project with 1) and 2) shoudl be enough

Nuria added a comment.EditedApr 21 2018, 8:33 PM

I agree with @Tbayer that we have enough wikis describing metrics as it is.

Milimetric updated the task description. (Show Details)Apr 30 2018, 1:48 PM
mforns assigned this task to sahil505.May 8 2018, 11:25 AM
mforns removed sahil505 as the assignee of this task.
mforns added a comment.May 8 2018, 2:35 PM

Let's first work on 1) and 2). And once this is done, we can commit some time to having a popup that pulls the first paragraph from on-wiki.

mforns assigned this task to sahil505.May 8 2018, 2:35 PM
mforns triaged this task as Normal priority.
mforns set the point value for this task to 3.

Okay, would be working on 2 things for this task:

  1. Improving Research:Page_view and other linked pages by summarizing its contents in an easy-to-read paragraph that appeal to the larger audience.
  2. Parsing that paragraph using MediaWiki's API:Parsing and displaying it in the tooltip.
Nuria added a comment.May 14 2018, 7:32 PM

Let’s please make sure the UI does not call mediawiki API. The friendly description will remain mostly not changed once created. As such it is not a problem to have tooltip data hardcoded on the UI.

Change 433566 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Added a friendly metric description to the tooltip of metric link

https://gerrit.wikimedia.org/r/433566

Change 433566 merged by Milimetric:
[analytics/wikistats2@master] Added a friendly metric description to the tooltip of metric link

https://gerrit.wikimedia.org/r/433566

sahil505 moved this task from Done to Ready to Deploy on the Analytics-Kanban board.
Nuria closed this task as Resolved.Jun 11 2018, 10:39 PM